* {
    font-family: "Eagle Lake", serif;
}

@keyframes fadeInPage {
  from { opacity: 0; }
  to { opacity: 1; }
}

body{
    margin: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background: url('../index/img/backgrounds/berk_2.png') no-repeat center center; background-size: cover;
    animation: fadeInPage 0.5s ease-in;
}

.menu {
    list-style: none;
    display: flex;
    gap: 20px;
    justify-content: space-evenly;
    margin: 20px;
    margin-top: 20px;
    margin-bottom: 5px;
    padding: 10px;
}

.menu a {
    text-decoration: none;
    color: #DC1C13;
    font-size: 20px;
    font-weight: bold;
}

.menu a:hover {
    color: #ffffff;
    transition: 0.3s;
}

.menu li {
    padding: 15px;
    border: 3px solid #DC1C13;
    border-radius: 10px;
    background-color: #F7CC7E;
}

.menu li:hover {
    background-color: #ff8133;
    color: #F7CC7E;
    transition: 0.3s;

}

#menu-toggle, .icon {
    display: none;
}

main {
    display: flex;       
    flex-direction: row; 
    flex-wrap: wrap;     
    gap: 20px;          
    padding: 20px;
    flex: 1 0 auto;
}

h1 {
    font-size: 35px;
    color: #901913;
    text-align: left;
    margin-top: 0px;
    margin-bottom: 20px;

}

h2 {
    font-size: 20px;
    color: #0c1a87;
    text-align: left;
    margin-top: 0px;
}

p {
    font-size: 15px;
    text-align: left;
}

ul {
    font-size: 15px;
    text-align: left;
}

.part_1_content {
    display: flex;
    margin: 0;
    padding: 0;
    flex-direction: row;
    align-items: flex-start;
    text-align: left;
    gap: 20px;
}

.section {
    flex: 1;            
    min-width: 250px;    
    padding: 40px;
    margin: 20px;
    margin-top: 0px;
    border: 3px solid #DC1C13;
    border-radius: 20px;
    background-color: #F7CC7E95;
    text-decoration: none;
}

.dragon_size {
    max-width: 1000px;
    width: 100%;
    height: auto;
}

.dragon_table {
    max-width: 350px;
    width: 100%;
    height: auto;
}

.dragon {
    max-width: 1000px;
    max-height: 800px;
    object-fit: contain;
    width: 100%;
    height: auto;
}














.footer {
    background: linear-gradient(to bottom, #F7CC7E 0%, #ff8133 100%);
    padding: 1px;
    margin-top: 5px;
    text-align: center;
    line-height: 70px;
    padding: 0 20px;
}

.footer a {
    text-decoration: none;
    color: #DC1C13;
    font-size: 20px;
    font-weight: bold;
}

.footer a:hover {
    color: #ffffff;
    transition: 0.3s;
}

@media (max-width: 820px) {
    .menu {
		display: none;
        flex-direction: column;
    }

    .icon {
        display: block;
        padding: 15px;
        border: 3px solid #DC1C13;
        border-radius: 10px;
        background-color: #F7CC7E;
        margin-right: 20px;
        margin-left: 20px;
        margin-top: 10px;
        font-size: 24px;
        cursor: pointer;
    }

    #menu-toggle:checked + .icon + .menu {
        display: flex;
    }

    .part_1_content {
    display: flex;
    margin: 0;
    padding: 0;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
    gap: 20px;
    }


}

@media (max-width: 450px) {
    main{
        margin: 0px;
    }

    .section {
        margin: 0px;
    }

    .part_1_content {
        display: flex;
        margin: 0;
        padding: 0;
        flex-direction: column;
        align-items: flex-start;
        text-align: left;
        gap: 20px;
    }

    .menu {
		display: none;
        flex-direction: column;
    }

    .footer a {
        font-size: 15px;
    }

    .icon {
        display: block;
        padding: 15px;
        border: 3px solid #DC1C13;
        border-radius: 10px;
        background-color: #F7CC7E;
        margin-right: 20px;
        margin-left: 20px;
        margin-top: 10px;
        font-size: 24px;
        cursor: pointer;
    }

    #menu-toggle:checked + .icon + .menu {
        display: flex;
    }


}